using System.IO;

namespace Crysome.Common.Network.Packets.Client;

public class ReverseProxyEndPacket : IPacket
{
	public int ConnectionId { get; set; }

	public ReverseProxyEndPacket()
	{
	}

	public ReverseProxyEndPacket(int connectionId)
	{
		ConnectionId = connectionId;
	}

	public void Write(BinaryWriter w)
	{
		w.Write(ConnectionId);
	}

	public void Read(BinaryReader r)
	{
		ConnectionId = r.ReadInt32();
	}
}
